Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Class JsonSchemaValidatorFactory.SingleProblem

    java.lang.Object
      org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.SingleProblem

All Implemented Interfaces:
  Problems

Enclosing class:
  JsonSchemaValidatorFactory

    protected static class JsonSchemaValidatorFactory.SingleProblem

extends Object
implements Problems

Constructor Summary
`protected` | `JsonSchemaValidatorFactory.SingleProblem()`

Method Summary
`void` | `clear()`
`boolean` | `hasProblem()`
`void` | `recordError(Path path, String message)` Record an error at the given path in a document.
`void` | `recordError(Path path, String message, Throwable exception)` Record an error at the given path in a document.
`void` | `recordIn(Problems otherProblems)`
`void` | `recordSuccess()` Record a successful validation.
`void` | `recordTypeMismatch(Path path, String message, JsonSchema.Type actualType, Object actualValue, JsonSchema.Type requiredType, Object convertedValue)` Record a field value was encountered whose type was not the expected type but could be converted to the expected type.
`void` | `recordWarning(Path path, String message)` Record a warning at the given path in a document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonSchemaValidatorFactory.SingleProblem

    protected JsonSchemaValidatorFactory.SingleProblem()

Method Detail

### recordSuccess

    public void recordSuccess()

  Description copied from interface: `Problems`
  Record a successful validation.

  Specified by:
    `recordSuccess` in interface `Problems`

### recordError

    public void recordError(Path path,
                            String message)

  Description copied from interface: `Problems`
  Record an error at the given path in a document.

  Specified by:
    `recordError` in interface `Problems`
  Parameters:
    `path` - the path; may not be null
    `message` - the message describing the error; may not be null

### recordError

    public void recordError(Path path,
                            String message,
                            Throwable exception)

  Description copied from interface: `Problems`
  Record an error at the given path in a document.

  Specified by:
    `recordError` in interface `Problems`
  Parameters:
    `path` - the path; may not be null
    `message` - the message describing the error; may not be null
    `exception` - the exception that occurred and that is considered the cause

### recordWarning

    public void recordWarning(Path path,
                              String message)

  Description copied from interface: `Problems`
  Record a warning at the given path in a document.

  Specified by:
    `recordWarning` in interface `Problems`
  Parameters:
    `path` - the path; may not be null
    `message` - the message describing the warning; may not be null

### recordTypeMismatch

    public void recordTypeMismatch(Path path,
                                   String message,
                                   JsonSchema.Type actualType,
                                   Object actualValue,
                                   JsonSchema.Type requiredType,
                                   Object convertedValue)

  Description copied from interface: `Problems`
  Record a field value was encountered whose type was not the expected type but could be converted to the expected type.

  Specified by:
    `recordTypeMismatch` in interface `Problems`
  Parameters:
    `path` - the path; may not be null
    `message` - the message describing the warning; may not be null
    `actualType` - the actual type of the field value; may not be null
    `actualValue` - the actual field value
    `requiredType` - the expected type; may not be null
    `convertedValue` - the converted value

### hasProblem

    public boolean hasProblem()

### recordIn

    public void recordIn(Problems otherProblems)

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.